Upstream information

CVE-2022-25942 at MITRE

Description

An out-of-bounds read vulnerability exists in the gif2h5 functionality of HDF5 Group libhdf5 1.10.4. A specially-crafted GIF file can lead to code execution. An attacker can provide a malicious file to trigger this vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 8.4
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1202620 [RESOLVED / UPSTREAM]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 SP2 hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP3 hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP4 hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 15 hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS hdf5 Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS hdf5 Not affected
SUSE Linux Enterprise Module for HPC 12 hdf5 Not affected
SUSE Linux Enterprise Module for HPC 15 SP3 hdf5 Not affected
SUSE Linux Enterprise Module for HPC 15 SP4 hdf5 Not affected
SUSE Linux Enterprise Module for High Performance Computing 12 hdf5 Not affected
SUSE Linux Enterprise Module for High Performance Computing 15 hdf5 Not affected
SUSE Linux Enterprise Server 12 SP2 hdf5 Not affected
SUSE Linux Enterprise Server 12 SP3 hdf5 Not affected
SUSE Linux Enterprise Server 12 SP4 hdf5 Not affected
SUSE Linux Enterprise Server 12 SP5 hdf5 Not affected
SUSE Linux Enterprise Server 15-ESPOS hdf5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 hdf5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 hdf5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 hdf5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 hdf5 Not affected


SUSE Timeline for this CVE

CVE page created: Tue Aug 23 02:00:49 2022
CVE page last modified: Mon Nov 28 15:59:20 2022